Subject: Re: Intserv Scaling/aggregation issues draft

From: Subramaniam Vincent <[email-masked]>
Date: Mon, 31 Mar 1997 09:10:00 -0800 (PST)

> The draft states:
>  "our approach provides for reduction of packet scheduler
>    state, packet classifier state, and setup protocol (e.g. RSVP) state"
>
> Perhaps I am missing something, but I don't see how it can reduce
> RSVP state. Consider the following example:
>
>     ...................                    .....................
>     .                 .                    .                   .
>     .   S1------|     .                    .  |----------R1    .
>     .           A-------B----------------C----D                .
>     .   S2------|     .                    .  |----------R2    .
>     .                 .                    .                   .
>     ...................                    .....................
>
>
> Assuming two sessions: (S1,R1) and (S2,R2) are aggregated over B-C.
> [A] tags the packets for both S1 and S2 with T, and sends an aggregated
> reservation to [D]. (fat pipe between [A] and [D] for all packets tagged
> as T).  What happens at D? How would D generate the Path messages
> to be sent to R1 and R2 if it doesn't have details about S1 and S2?
>
> I always thought that the aggregation was trivial but the
> disaggregation at the other side was the real problem.

Shai,

We have not specified "aggregation" of rsvp messages as technique. the
RSVP  messages will pass, as is, through the region, without installing
state. State will exist at the edges, and everywhere else outside.
Just look at the open issues again.

Vince